Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1413285 - mcelog service is enabled after updating the package
Summary: mcelog service is enabled after updating the package
Keywords:
Status: CLOSED DUPLICATE of bug 1413284
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mcelog
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Prarit Bhargava
QA Contact: Andrej Manduch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-14 13:38 UTC by Kenny Tordeurs
Modified: 2021-06-10 11:49 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 15:06:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kenny Tordeurs 2017-01-14 13:38:35 UTC
Description of problem:
The mcelog service will change the service from disabled to enabled status after updating the package (full output in additional notes)

Version-Release number of selected component (if applicable):
https://access.redhat.com/downloads/content/rhel---7/x86_64/2456/mcelog/101-3.9de4924.el7/x86_64/fd431d51/package

How reproducible:
100%

Steps to Reproduce:
1. Install mcelog https://access.redhat.com/downloads/content/rhel---7/x86_64/2456/mcelog/101-3.9de4924.el7/x86_64/fd431d51/package
2. Disable the service, systemctl disable mcelog
3. # yum update mcelog -y
4. systemctl status mcelog

Actual results:
mcelog service is enabled after update

Expected results:
mcelog service stay disabled after update

Additional info:
The mcelog service will be reactivated during package update.

Steps to reproduce:
=============

# systemctl status mcelog
mcelog.service - Machine Check Exception Logging Daemon
   Loaded: loaded (/usr/lib/systemd/system/mcelog.service; disabled)
   Active: inactive (dead)

# rpm -qi mcelog
Name        : mcelog
Epoch       : 3
Version     : 101
Release     : 3.9de4924.el7
Architecture: x86_64
Install Date: Fri Jan 13 11:55:50 2017
Group       : System Environment/Base
Size        : 133633
License     : GPLv2
Signature   : RSA/SHA256, Mon Jan 12 22:12:22 2015, Key ID 199e2f91fd431d51
Source RPM  : mcelog-101-3.9de4924.el7.src.rpm
Build Date  : Thu Oct 30 14:58:41 2014
Build Host  : x86-021.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : https://github.com/andikleen/mcelog.git
Summary     : Tool to translate x86-64 CPU Machine Check Exception data
Description :
mcelog is a utility that collects and decodes Machine Check Exception data
on x86-32 and x86-64 systems. It can be run either as a daemon, or by cron.

# yum update mcelog
Resolving Dependencies
--> Running transaction check
---> Package mcelog.x86_64 3:101-3.9de4924.el7 will be updated
---> Package mcelog.x86_64 3:136-2.e4aca63.el7_3 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================
 Package            Arch          Version                       Repository                    Size
===================================================================================================
Updating:
 mcelog             x86_64        3:136-2.e4aca63.el7_3         rhel-7-server-rpms-v2         76 k

Transaction Summary
===================================================================================================
Upgrade  1 Package

Total download size: 76 k
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
mcelog-136-2.e4aca63.el7_3.x86_64.rpm                                             |  76 kB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : 3:mcelog-136-2.e4aca63.el7_3.x86_64                                             1/2
  Cleanup    : 3:mcelog-101-3.9de4924.el7.x86_64                                               2/2
  Verifying  : 3:mcelog-136-2.e4aca63.el7_3.x86_64                                             1/2
  Verifying  : 3:mcelog-101-3.9de4924.el7.x86_64                                               2/2

Updated:
  mcelog.x86_64 3:136-2.e4aca63.el7_3

Complete!

# systemctl status mcelog
mcelog.service - Machine Check Exception Logging Daemon
   Loaded: loaded (/usr/lib/systemd/system/mcelog.service; enabled)
   Active: inactive (dead)

# rpm -qi mcelog
Name        : mcelog
Epoch       : 3
Version     : 136
Release     : 2.e4aca63.el7_3
Architecture: x86_64
Install Date: Fri Jan 13 12:19:56 2017
Group       : System Environment/Base
Size        : 181857
License     : GPLv2
Signature   : RSA/SHA256, Thu Nov 10 10:40:59 2016, Key ID 199e2f91fd431d51
Source RPM  : mcelog-136-2.e4aca63.el7_3.src.rpm
Build Date  : Mon Oct 31 12:03:38 2016
Build Host  : x86-037.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : https://github.com/andikleen/mcelog.git
Summary     : Tool to translate x86-64 CPU Machine Check Exception data
Description :
mcelog is a utility that collects and decodes Machine Check Exception data
on x86-32 and x86-64 systems. It can be run either as a daemon, or by cron.

Comment 2 Prarit Bhargava 2017-01-16 15:06:42 UTC

*** This bug has been marked as a duplicate of bug 1413284 ***


Note You need to log in before you can comment on or make changes to this bug.